Bug 987667 - rhn-plugin needs to access the netowkr for yum erase operations
rhn-plugin needs to access the netowkr for yum erase operations
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum-rhn-plugin (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 16:26 EDT by Quanah Gibson-Mount
Modified: 2014-11-10 09:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-10 09:25:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Quanah Gibson-Mount 2013-07-23 16:26:13 EDT
Description of problem:
When installing local packages via yum, it can be difficult to remove them if the network is down or entitlements have expired.  For example, when installing Zimbra via yum localinstall, and then going to uninstall Zimbra, we get:

zimbra-core...yum -y erase -v...Loading "rhnplugin" plugin
Config time: 0.036
There was an error communicating with RHN.
RHN Satellite or RHN Classic support will be disabled.

Error Message:
    Service not enabled for system profile: "zqa-103.eng.vmware.com"
Error Class Code: 31
Error Class Info:  
Setting up Remove Process
Resolving Dependencies
--> Running transaction check
---> Package zimbra-core.x86_64 0:8.0.4_GA_5737.RHEL6_64-20130524120036 will be erased
Checking deps for zimbra-core.x86_64 0:8.0.4_GA_5737.RHEL6_64-20130524120036 - e
--> Finished Dependency Resolution
Dependency Process ending
Error: Cannot retrieve repository metadata (repomd.xml) for repository: epel. Please verify its path and try again 


We found we could finally get it erased by adding "--disable-repo=*" to the flags for yum erase.

This should not be necessary for removing packages installed outside of the repo system.

Version-Release number of selected component (if applicable):

[build@zre-rhel6-64 ~]$ yum --version
3.2.2

How reproducible:
Always given constraints above

Steps to Reproduce:
See above

Actual results:
Package removal failure

Expected results:
Package removal success
Comment 1 Quanah Gibson-Mount 2013-07-24 16:12:08 EDT
See also https://bugzilla.redhat.com/show_bug.cgi?id=988136 for the same problem with localinstall
Comment 3 James Antill 2014-03-24 11:19:32 EDT
yum doesn't need to look at the network to do an erase, so you can do:

yum --noplugins erase zimbra

...assigning to rhn-plugin to see if they can fix needing the network.
Comment 4 RHEL Product and Program Management 2014-11-10 09:25:50 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.